@font-face {
    font-family: montserat;
    src: url(assets/font/Montserrat-Light.ttf);
}

@font-face {
    font-family: greatvibes;
    src: url(assets/font/GreatVibes-Regular.ttf);
}

:root {
    --primary_main_color: #3e4465;
    --primary_secondary_color: #8c9dbc;
    --primary_tertiary_color: #6c3b5e;
    --secondary_color: #a4779a;
    --bg_grey: #f1f3f7;
    --hover_grey: rgb(238, 238, 238);
    --card_border_color: #4A4793;
    font-size: 16px;
    scroll-behavior: smooth;
    --background:#3e4465;
}

* {
    font-family: montserat, Roboto, 'sans-serif';
}


.logo {
    width: 90px;
    height: 91px;
    position: relative;
    top: 12px;
    left: 12px;
}

header {
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: space-between;
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    background-color: white;
    z-index: 99;
}

.whakatau_logo {
    width: 80px;
    height: 80px;
}

.whakatau_logo_white {
    width: 120px;
    height: 15px;
    margin-left: 4px;
}

.logo_images {
    display: flex;
    align-items: center;
    justify-content: center;
}

.navigation_links {
    position: absolute;
    width: 120px;
    height: fit-content;
    right: -1000px;
    top: 60px;
    z-index: 2;
    transition: right 0.3s ease-in;
    background: var(--bg_grey);
    color: black;
    list-style: none;
    box-shadow: 1px 1px 10px 0px rgba(0, 0, 0, 0.3);
    display: none;
}

.navigation_links {
    margin-right: 0;
}

.navigation_links li {
    padding: 10px 35px 5px 0;
    text-align: center;
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.navigation_links a {
    color: black;
    text-decoration: none;
}

#hamburger {
    visibility: hidden;
}

.navigation_button {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 32px;
    background: transparent;
    border: 1px solid black;
    cursor: pointer;
}

.navigation_button span {
    position: absolute;
    left: 5px;
    display: inline-block;
    width: 30px;
    height: 2px;
    background-color: black;
    transform-origin: center;
    transition: opacity 0.2s linear, all 0.3s linear;
}

.navigation_button span:nth-of-type(1) {
    top: 8px;
}

.navigation_button span:nth-of-type(2) {
    top: 15px;
}

.navigation_button span:nth-of-type(3) {
    top: 23px;
}

#hamburger:checked~.navigation_links {
    right: 0;
    display: block;
}

#hamburger:checked~.navigation_button span:nth-of-type(1) {
    transform: rotate(45deg);
    top: 15px;
}

#hamburger:checked~.navigation_button span:nth-of-type(2) {
    opacity: 0;
}

#hamburger:checked~.navigation_button span:nth-of-type(3) {
    transform: rotate(-45deg);
    top: 15px;
}

.bios_nav_links {
    position: absolute;
    width: 120px;
    height: auto;
    right: -1000px;
    top: 10vh;
    z-index: 2;
    background-color: var(--bg_grey);
    color: black;
    list-style: none;
    box-shadow: 1px 1px 10px 0px rgba(0, 0, 0, 0.3);
    display: none;
}

.team_item {
    cursor: pointer;
}

.team_item span {
    padding-left: 10px;
    padding-right: 12px;
}

#team_list_checkbox {
    display: none;
}

#team_list_checkbox:checked+label+.bios_nav_links {
    display: block;
    right: 130px;
}

.hamburger_menu {
    display: grid;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}


.dark_blue_background {
    height: 100%;
    width: 70%;
    background-color: var(--primary_main_color);
    margin-left: 20vw;
    padding: 40px 0 0 0;
}

.box_rounded {
    border-radius: 8px;
}

.dark_blue_box {
    width: 100px;
    height: 100px;
    background-color: var(--primary_main_color);
}

.light_blue_box {
    width: 100px;
    height: 100px;
    background-color: var(--primary_secondary_color);
}

.light_grey_box {
    width: 100px;
    height: 100px;
    background-color: var(--bg_grey);
}

h1 {
    font-size: 32px;
    font-weight: bold;
    text-transform: capitalize;
    text-align: center;
}

.card {
    border-radius: 12px;
    border-width: 5px;
    border-color: var(--card_border_color);
    border: solid;
    width: 200px;
    height: 250px;
}

.profile_cards {
    width: auto;
    height: auto;
    place-items: center;
    justify-self: center;
    border: none;
    cursor: pointer;
    position: relative;
    padding: 10px 20px;
    background: white;
    font-size: 28px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    transition: all 3s;
}

.profile_cards:after,
.profile_cards:before {
  content: " ";
  width: 40%;
  height: 15%;
  position: absolute;
  border: 0px solid var(--card_border_color);
  transition: all 2s;
}

.profile_cards:after {
    top: 1px;
    left: -1px;
    border-top: 2px solid var(--card_border_color);
    border-left: 2px solid var(--card_border_color);
  }
  
  .profile_cards:before {
    bottom: -1px;
    right: -1px;
    border-bottom: 2px solid var(--card_border_color);
    border-right: 2px solid var(--card_border_color);
  }

.profile_cards:hover {
    border-top-right-radius: 0;
    border-bottom-left-radius: 0;
}

.profile_cards:hover:before,
.profile_cards:hover:after {
    border-color: var(--card_border_color);
    width: 65%;
    height: 65%;
}


.heading_animation {
    position: relative;
    text-decoration: none;
}

.heading_animation::before {
    content: '';
    position: absolute;
    width: 30%;
    height: 4px;
    border-radius: 4px;
    background-color: var(--primarySecondaryColor);
    bottom: 0;
    left: 1%;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform 1s ease-in-out;
}

.heading_animation:hover::before {
    transform-origin: left;
    transform: scaleX(1);
}

.card:hover {
    --box-shadow-color: #F5F7F8;
    transform: scale(1.1);
    transition: transform 1s ease-in-out;
    box-shadow: 0 15px 24px rgba(0, 0, 0, 0.11),
        0 15px 24px var(--box-shadow-color);
}

footer {
    text-align: center;
}

.social_icon {
    height: 50px;
    width: 50px;
    margin: 2px;
}

@media (min-width: 768px) {

    header {
        position: sticky;
        top: 0;
        left: 0;
        width: 100%;
        padding: 0 10vw 0 0;
    }

    body {
        margin-right: 10vw;
        margin-left: 10vw;
    }

    .navigation_links {
        margin-right: 10vw;
    }
}

h3 {
    font-weight: lighter;
    margin-bottom: 10px;
}

p {
    line-height: 1.5;
}

h3 {
    font-size: 18px;
    font-weight: bold;
}

h1,
h2,
h3,
h4 {
    line-height: 35px;
}

hr {
    border-color: #6c3b5e;
    border-width: 2px;
    width: 10%;
}